summaryrefslogtreecommitdiff
path: root/src/pmdas/simple/Install
diff options
context:
space:
mode:
Diffstat (limited to 'src/pmdas/simple/Install')
-rw-r--r--src/pmdas/simple/Install53
1 files changed, 53 insertions, 0 deletions
diff --git a/src/pmdas/simple/Install b/src/pmdas/simple/Install
new file mode 100644
index 0000000..0d3ead3
--- /dev/null
+++ b/src/pmdas/simple/Install
@@ -0,0 +1,53 @@
+#! /bin/sh
+#
+# Copyright (c) 2013 Red Hat.
+# Copyright (c) 1997 Silicon Graphics, Inc. All Rights Reserved.
+#
+# This program is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by the
+# Free Software Foundation; either version 2 of the License, or (at your
+# option) any later version.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
+# or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
+# for more details.
+#
+# Install the simple PMDA and/or PMNS
+#
+
+. $PCP_DIR/etc/pcp.env
+. $PCP_SHARE_DIR/lib/pmdaproc.sh
+
+iam=simple
+pmda_interface=2
+forced_restart=false
+
+dso_opt=true
+perl_opt=true
+python_opt=true
+socket_opt=true
+socket_inet_def=2078
+
+# Set up the simple PMDA (domain 253) InDom cache
+#
+domain=`sed -n <domain.h -e '/define SIMPLE/{
+s/[ ]*$//
+s/.*[ ]//
+p
+}'`
+if [ -z "$domain" ]
+then
+ echo "Arrgh ... cannot extract domain number from domain.h"
+ exit 1
+fi
+if [ -d $PCP_VAR_DIR/config/pmda ]
+then
+ touch $PCP_VAR_DIR/config/pmda/$domain.1
+ chown $PCP_USER:$PCP_GROUP $PCP_VAR_DIR/config/pmda/$domain.1
+ chmod 644 $PCP_VAR_DIR/config/pmda/$domain.1
+fi
+
+pmdaSetup
+pmdaInstall
+exit 0